Bug 1729594 - Dynamic Dropdown dialog values show "Nothing is selected" on service order page
Summary: Dynamic Dropdown dialog values show "Nothing is selected" on service order page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.7
Assignee: Tina Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1729046
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 18:38 UTC by Satoe Imaishi
Modified: 2019-07-26 19:47 UTC (History)
5 users (show)

Fixed In Version: 5.10.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1729046
Environment:
Last Closed: 2019-07-26 19:47:47 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 CFME Bot 2019-07-12 18:42:12 UTC
New commit detected on ManageIQ/ui-components/hammer:

https://github.com/ManageIQ/ui-components/commit/2fbdd510fd60cba955839abad2265804a8627f18
commit 2fbdd510fd60cba955839abad2265804a8627f18
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jul 12 14:32:00 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 12 14:32:00 2019 -0400

    Merge pull request #402 from himdel/integer-single-bz1729046

    DialogUser - convert single-select default_value to the right data_type

    (cherry picked from commit 8b48923eeee45c72ced0d34807f747ce98c1ff2f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1729594

 src/dialog-user/components/dialog-user/dialogField.spec.ts | 1 +
 src/dialog-user/services/dialogData.spec.ts | 12 +-
 src/dialog-user/services/dialogData.ts | 93 +-
 3 files changed, 71 insertions(+), 35 deletions(-)

Comment 5 Niyaz Akhtar Ansari 2019-07-16 06:51:34 UTC
Now values are loading in the dialog dropdown 
Verified in Version 5.10.7.1.20190712211518_68f0bf9


Note You need to log in before you can comment on or make changes to this bug.